//
//  DetailViewController.swift
//  supportedOriantation
//
//  Created by yoshiyuki oshige on 2015/09/24.
//  Copyright © 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class DetailViewController: UIViewController {
    
    override func shouldAutorotate() -> Bool {
        // オートローテーションを許可する
        return true
    }
    
    // 回転を許可する回転の向きを返す
    override func supportedInterfaceOrientations() -> UIInterfaceOrientationMask {
        // ポートレート向きだけを許可する
        return UIInterfaceOrientationMask.Portrait
    }

    // シーンを閉じる
    @IBAction func goBack(sender: AnyObject) {
        self.dismissViewControllerAnimated(true, completion: nil)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
